<?php
require 'conn.php'; // Database connection

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['submit_response'])) {
    $ticket_id = $_POST['ticket_id'];
    $response = trim($_POST['response']);

    if (!empty($response)) {
        // Update ticket response in the database
        $query = "UPDATE tickets SET response = :response, updated_at = NOW() WHERE id = :ticket_id";
        $stmt = $conn->prepare($query);
        $stmt->bindValue(':response', $response, PDO::PARAM_STR);
        $stmt->bindValue(':ticket_id', $ticket_id, PDO::PARAM_INT);

        if ($stmt->execute()) {
            header('Location: ticketsupport.php'); // Redirect back to the ticket support page
            exit();
        } else {
            echo "Failed to submit response.";
        }
    } else {
        echo "Please provide a response.";
    }
}
?>
