<?php
require 'conn.php'; // Database connection

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['close_ticket'])) {
    $ticket_id = $_POST['ticket_id'];

    // Close the ticket by updating its status to 'closed'
    $query = "UPDATE tickets SET status = 'closed', updated_at = NOW() WHERE id = :ticket_id";
    $stmt = $conn->prepare($query);
    $stmt->bindValue(':ticket_id', $ticket_id, PDO::PARAM_INT);

    if ($stmt->execute()) {
        header('Location: ticketsupport.php'); // Redirect back to the ticket support page
        exit();
    } else {
        echo "Failed to close the ticket.";
    }
}
?>
