<?php
include('conn.php');
if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Query to get details for the selected registration
    $query = "SELECT * FROM children WHERE id = :id";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':id', $id);
    $stmt->execute();
    $details = $stmt->fetch(PDO::FETCH_ASSOC);

    // Fetching additional details from the `bank` table
    $query_bank = "SELECT * FROM bank WHERE rrr = :rrr";
    $stmt_bank = $conn->prepare($query_bank);
    $stmt_bank->bindParam(':rrr', $details['password']);
    $stmt_bank->execute();
    $bank_details = $stmt_bank->fetch(PDO::FETCH_ASSOC);

    // Display details
    echo "<strong>Zone:</strong> " . $details['zone'] . "<br>";
    echo "<strong>Region:</strong> " . $details['region'] . "<br>";
    echo "<strong>Province:</strong> " . $details['province'] . "<br>";
    echo "<strong>Status:</strong> " . $bank_details['status'] . "<br>";
    echo "<strong>Children Age 1-5:</strong> " . $details['children1'] . "<br>";
    echo "<strong>Children Age 6-8:</strong> " . $details['children2'] . "<br>";
    echo "<strong>Children Age 9-12:</strong> " . $details['children3'] . "<br>";
}
?>
